### Constructor

# Panel Position new_from_variant

#### Declaration [src]

    PanelPosition*
    panel_position_new_from_variant (
      GVariant* variant
    )

#### Description [src]

Create a `PanelPosition` from a `GVariant`.

#### Parameters

`variant`

  Type: `GVariant`

  A `GVariant`.

  The data is owned by the caller of the function.

#### Return value

Type: `PanelPosition`

A newly created `PanelPosition` from the `GVariant`.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.